org.appng.taglib

## Class TagletProcessor

- java.lang.Object
- - org.appng.taglib.TagletProcessor

-     public class TagletProcessor
      extends Object

  A `TagletProcessor` is responsible for handling taglet-calls from a JSP
  Author:
    Matthias Herlitzius, Matthias Müller
  See Also:
    `Taglet`, `GlobalTaglet`, `XMLTaglet`, `GlobalXMLTaglet`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagletProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doWrite(Writer out, String result, Application application, String methodName)`
    `MarshallService` | `getMarshallService()`
    `StyleSheetProvider` | `getStyleSheetProvider()`
    `boolean` | `perform(Site callingSite, Site executingSite, Application application, Map<String,String> tagletAttributes, Request applicationRequest, String methodName, String type, Writer out)` Performs the actual taglet-call.
    `void` | `setMarshallService(MarshallService marshallService)`
    `void` | `setStyleSheetProvider(StyleSheetProvider styleSheetProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagletProcessor

          public TagletProcessor()

  - ### Method Detail

    - #### perform

          public boolean perform(Site callingSite,
                                 Site executingSite,
                                 Application application,
                                 Map<String,String> tagletAttributes,
                                 Request applicationRequest,
                                 String methodName,
                                 String type,
                                 Writer out)
                          throws JAXBException,
                                 TransformerConfigurationException,
                                 FileNotFoundException,
                                 BusinessException

      Performs the actual taglet-call.
      Parameters:
        `callingSite` - the `Site` where the taglet-call happened
        `executingSite` - the `Site` that actually executes the taglet
        `application` - the `Application` from where the taglet comes from
        `tagletAttributes` - the attributes of the taglet-call
        `applicationRequest` - the current `Request`
        `methodName` - the name of the taglet to be called
        `type` - the type of the taglet, may be `text` or `xml`
        `out` - a `Writer` used to write the output of the taglet
      Returns:
        `true` if the JSP should be further processed, `false` otherwise
      Throws:
        `JAXBException`
        `TransformerConfigurationException`
        `FileNotFoundException`
        `BusinessException`

    - #### doWrite

          protected void doWrite(Writer out,
                                 String result,
                                 Application application,
                                 String methodName)

    - #### getMarshallService

          public MarshallService getMarshallService()

    - #### setMarshallService

          public void setMarshallService(MarshallService marshallService)

    - #### getStyleSheetProvider

          public StyleSheetProvider getStyleSheetProvider()

    - #### setStyleSheetProvider

          public void setStyleSheetProvider(StyleSheetProvider styleSheetProvider)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.